unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeGDIPlus, ExtCtrls, TeeProcs, TeEngine, Chart, StdCtrls;

type
  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses Series, TeeConst;

var Chart1: TChart;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Caption:=TeeMsg_Version;

  Chart1:=TChart.Create(Self);
  Chart1.Parent:=Self;
  Chart1.Align:=alClient;
  Chart1.Canvas:=TGDIPlusCanvas.Create;

  Chart1.View3D:=false;
  Chart1.Legend.Visible:=false;

  with Chart1.AddSeries(TBarSeries) do
  begin
    Marks.Visible:=false;

    Add(14, 'Biden');
    Add(24, 'Obama');
    Add(19, 'Richardson');
    Add(22, 'Clinton');
    Add(34, 'Edwards');
    Add(22, 'Kucinich');
    Add(34, 'Thompson');
    Add(44, 'McCain');
    Add(19, 'Giuliani');
    Add(54, 'Romney');
  end;

  Chart1.Axes.Bottom.LabelsAngle:=45;
end;

end.
